Subject: RE: Problem using rpm on Windows 98 (partly solved)
From: "Suhaib Siddiqi" <[email-masked]>
To: "A.R. Burgers" <[email-masked]>, <[email-masked]>
Cc: "cygwin mailing list" <[email-masked]>
Date: Fri, 1 Oct 1999 17:18:49 -0400

rpm2cpio requires Perl installed in /usr/bin, unless you edit
rpm2cpio script and change the #!/usr/bin/perl.exe to your install
path.
The syntex is

rpm2cpio my_rpm_file.rpm | cpio -i --make-directories

In addition you need cpio.exe in your PATH.

rpm2cpio has nothing to with RPM.  It is a Perl script which
extracts
to contents of the rpm, without installing RPM. I had been using it
on my Windows and SGI machine for a while for extracting source
codes
from RPM archives for Linux.

Suhaib

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of
> A.R. Burgers
> Sent: Friday, October 01, 1999 5:17 PM
> To: [email-masked]
> Cc: cygwin mailing list
> Subject: Re: Problem using rpm on Windows 98 (partly solved)
>
>
> Suhaib Siddiqi wrote:
>
> > Do not know about rpm, but you can get rpm2cpio script
> > from http://cygutils.netpedia.net/, extract the
> contents of rpm and
> > install it manually by copying the extracted
> files/directories to
> > the desired location.
>
> Thanks for your fast response and your hint.
>
> I tried both rpm2cpio from cygutils.netpedia.net and the
> rpm2cpio.pl
> script (from www.rpm.org).
>
> rpm2cpio says:
> error reading header from package
>
> rpm2cpio.pl says:
> bogus RPM.
>
> This hold for rpms perl-DBI-1.13-1-cygwinb20.i386.rpm and
> perl-DelimMatch-1.04-1-cygwinb20.i386.rpm
>
> I managed to get rpm2cpio.pl to work by specifying
> binmode on the filehandle to the rpm archive.
>
> So the problem is probably that rpm2cpio (and probably rpm)
> don't open their files in binary mode. Is something set
> wrong in my
> environment? Are my file opens text by default and not binary?
>
> my $CYGWIN variable is empty.
> The output of mount is:
>
> Device           Directory           Type        Flags
> C:               /                   native      text!=binary
>
> Teun Burgers
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]